ECHO OFF
:RESTART
IF NOT "%3"=="" GOTO SETUP
LASTSAVE
:SETUP
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  SETUP MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                             CHOSEN VIDEO MODE:  %1
ECHO                             CHOSEN SOUND MODE:  %2
ECHO                           CHOSEN INPUT DEVICE:  %3                                
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                    
ECHO                           {F1} - CHANGE VIDEO MODE
ECHO                           {F2} - CHANGE SOUND MODE
ECHO                           {F3} - CHANGE INPUT DEVICE
ECHO                           {F4} - FINISHED
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 62 GOTO NEXT
IF ERRORLEVEL 61 GOTO INPUT
IF ERRORLEVEL 60 GOTO SOUND
IF ERRORLEVEL 59 GOTO VIDEO
GOTO REPLY
:VIDEO
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  VIDEO MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - CGA 4 COLOUR
ECHO                           {F2} - TANDY 16 COLOUR
ECHO                           {F3} - EGA 16 COLOUR
ECHO                           {F4} - HERCULES
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 62 GOTO HERC
IF ERRORLEVEL 61 GOTO EGA
IF ERRORLEVEL 60 GOTO TGA
IF ERRORLEVEL 59 GOTO CGA
GOTO REPLY
:CGA
RECALL CGA %2 %3
:TGA
RECALL TGA %2 %3
:EGA
RECALL EGA %2 %3
:HERC
RECALL HERC %2 %3
:SOUND
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  SOUND MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - PC SPEAKER
ECHO                           {F2} - TANDY CHIP
ECHO                           {F3} - ADLIB CARD
ECHO                           {F4} - ROLAND MT-32
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 62 GOTO ROLAND
IF ERRORLEVEL 61 GOTO ADLIB
IF ERRORLEVEL 60 GOTO TANDY
IF ERRORLEVEL 59 GOTO SPEAKER
GOTO REPLY
:ROLAND
RECALL %1 ROLAND %3
:ADLIB
RECALL %1 ADLIB %3
:TANDY
RECALL %1 TANDY %3
:SPEAKER
RECALL %1 SPEAKER %3
:INPUT
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  INPUT MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - KEYBOARD
ECHO                           {F2} - JOYSTICK
ECHO                           {F3} - MOUSE
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 61 GOTO MOUSE
IF ERRORLEVEL 60 GOTO JOYSTICK
IF ERRORLEVEL 59 GOTO KEYBOARD
GOTO REPLY
:KEYBOARD
RECALL %1 %2 KEYBOARD
:JOYSTICK
RECALL %1 %2 JOYSTICK
:MOUSE
RECALL %1 %2 MOUSE
:NEXT
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II   SAVE MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                             CHOSEN VIDEO MODE:  %1
ECHO                             CHOSEN SOUND MODE:  %2
ECHO                           CHOSEN INPUT DEVICE:  %3                                 
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                       
ECHO                           {F1} - SAVE SETUP FILE
ECHO                           {F2} - EXIT
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 60 GOTO EXIT
IF ERRORLEVEL 59 GOTO SAVESETUP
GOTO REPLY
:SAVESETUP
SAVE GB2.BAT GBII %1 %2 %3
SAVE LASTSAVE.BAT INSTALL %1 %2 %3
ECHO                         ** SETUP FILE HAS BEEN SAVED **                         
ECHO                             ** TYPE GB2 TO BEGIN **

:EXIT

